package com.artfess.cqlt.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.cqlt.model.QfOperationReductionsD;
import com.artfess.cqlt.model.QfOperationReductionsM;

import java.util.List;

/**
 * 运营--年降数据填报主表 服务类
 *
 * @company 阿特菲斯信息技术有限公司
 * @author 黎沐华
 * @since 2023-02-21
 */
public interface QfOperationReductionsMManager extends BaseManager<QfOperationReductionsM> {

    boolean importExcel(List<QfOperationReductionsD> list, String mainId);

    boolean updateStatus(QfOperationReductionsM t);

    boolean insertInfo(QfOperationReductionsM t);

    boolean updateInfo(QfOperationReductionsM t);
}
